Description
OperatorStatus is the Schema for the operatorstatuses API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

OperatorStatusSpec defines the desired state of OperatorStatus

statusobject

OperatorStatusStatus defines the observed state of OperatorStatus

.spec

Description
OperatorStatusSpec defines the desired state of OperatorStatus
Type
object
Required
croperator
PropertyTypeDescription
crobject
installedNamespacearray
operatorobject

TypedLocalObjectReference contains enough information to let you locate the typed referenced object inside the same namespace.

.spec.cr

Type
object
Required
kindname
PropertyTypeDescription
apiGroupstring

APIGroup is the group for the resource being referenced. If APIGroup is not specified, the specified Kind must be in the core API group. For any other third-party types, APIGroup is required.

kindstring

Kind is the type of resource being referenced

namestring

Name is the name of resource being referenced

namespacestring

.spec.installedNamespace

Type
array

.spec.installedNamespace[]

Type
string

.spec.operator

Description
TypedLocalObjectReference contains enough information to let you locate the typed referenced object inside the same namespace.
Type
object
Required
kindname
PropertyTypeDescription
apiGroupstring

APIGroup is the group for the resource being referenced. If APIGroup is not specified, the specified Kind must be in the core API group. For any other third-party types, APIGroup is required.

kindstring

Kind is the type of resource being referenced

namestring

Name is the name of resource being referenced

.status

Description
OperatorStatusStatus defines the observed state of OperatorStatus
Type
object
PropertyTypeDescription
componentStatusobject

INSERT ADDITIONAL STATUS FIELD - define observed state of cluster Important: Run "make" to regenerate code after modifying this file

.status.componentStatus

Description
INSERT ADDITIONAL STATUS FIELD - define observed state of cluster Important: Run "make" to regenerate code after modifying this file
Type
object

API Endpoints

The following API endpoints are available:

  • /apis/operator.alauda.io/v1alpha1/namespaces/{namespace}/operatorstatuses
    • DELETE: delete collection of OperatorStatus
    • GET: list objects of kind OperatorStatus
    • POST: create a new OperatorStatus
  • /apis/operator.alauda.io/v1alpha1/namespaces/{namespace}/operatorstatuses/{name}
    • DELETE: delete the specified OperatorStatus
    • GET: read the specified OperatorStatus
    • PATCH: partially update the specified OperatorStatus
    • PUT: replace the specified OperatorStatus
  • /apis/operator.alauda.io/v1alpha1/namespaces/{namespace}/operatorstatuses/{name}/status
    • GET: read status of the specified OperatorStatus
    • PATCH: partially update status of the specified OperatorStatus
    • PUT: replace status of the specified OperatorStatus

/apis/operator.alauda.io/v1alpha1/namespaces/{namespace}/operatorstatuses

HTTP method
DELETE
Description
delete collection of OperatorStatus
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind OperatorStatus
HTTP responses
HTTP codeResponse body
200 - OKOperatorStatusList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new OperatorStatus
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyOperatorStatus schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKOperatorStatus schema
201 - CreatedOperatorStatus schema
202 - AcceptedOperatorStatus schema
401 - UnauthorizedEmpty

/apis/operator.alauda.io/v1alpha1/namespaces/{namespace}/operatorstatuses/{name}

HTTP method
DELETE
Description
delete the specified OperatorStatus
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified OperatorStatus
HTTP responses
HTTP codeResponse body
200 - OKOperatorStatus schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified OperatorStatus
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKOperatorStatus schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified OperatorStatus
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyOperatorStatus schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKOperatorStatus schema
201 - CreatedOperatorStatus schema
401 - UnauthorizedEmpty

/apis/operator.alauda.io/v1alpha1/namespaces/{namespace}/operatorstatuses/{name}/status

HTTP method
GET
Description
read status of the specified OperatorStatus
HTTP responses
HTTP codeResponse body
200 - OKOperatorStatus schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified OperatorStatus
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKOperatorStatus schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified OperatorStatus
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyOperatorStatus schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKOperatorStatus schema
201 - CreatedOperatorStatus schema
401 - UnauthorizedEmpty